package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTask;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskMapper {
    long countByExample(VisitDrTaskExample example);

    int deleteByExample(VisitDrTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTask record);

    int insertSelective(VisitDrTask record);

    List<VisitDrTask> selectByExample(VisitDrTaskExample example);

    VisitDrTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTask record, @Param("example") VisitDrTaskExample example);

    int updateByExample(@Param("record") VisitDrTask record, @Param("example") VisitDrTaskExample example);

    int updateByPrimaryKeySelective(VisitDrTask record);

    int updateByPrimaryKey(VisitDrTask record);
}